Questo articolo è stato tradotto automaticamente. Per visualizzare l'articolo in inglese, selezionare la casella di controllo Inglese. È possibile anche visualizzare il testo inglese in una finestra popup posizionando il puntatore del mouse sopra il testo.
Traduzione
Inglese

Costruttore TypeLoadException (String, Exception)

 

Data di pubblicazione: ottobre 2016

Inizializza una nuova istanza della classe TypeLoadException con un messaggio di errore specificato e un riferimento all'eccezione interna che è la causa dell'eccezione corrente.

Spazio dei nomi:   System
Assembly:  mscorlib (in mscorlib.dll)

public TypeLoadException(
	string message,
	Exception inner
)

Parametri

message
Type: System.String

Messaggio di errore in cui viene indicato il motivo dell'eccezione.

inner
Type: System.Exception

Eccezione che ha determinato l'eccezione corrente. Se il parametro inner non è null, l'eccezione corrente viene generata in un blocco catch in cui viene gestita l'eccezione interna.

Un'eccezione generata come risultato diretto di un'eccezione precedente può includere un riferimento all'eccezione precedente nella proprietà InnerException. La proprietà InnerException restituisce lo stesso valore passato al costruttore oppure null nel caso in cui la proprietà InnerException non fornisca il valore di eccezione interna al costruttore.

Nella tabella seguente vengono illustrati i valori di proprietà iniziali per un'istanza di TypeLoadException.

Proprietà

Valore

InnerException

Riferimento all'eccezione interna.

Message

Stringa del messaggio di errore.

Esempio di codice riportato di seguito viene illustrato il TypeLoadException(String, Exception) costruttore. Contiene un metodo che genera un TypeLoadException, rileva l'eccezione e genera una nuova TypeLoadException con un messaggio personalizzato, compresa l'originale TypeLoadException come eccezione interna.


using System;
using System.Runtime.InteropServices;

public class TypeLoadException_Constructor3
{
   public static void Main() 
   {
      Console.WriteLine("Calling a method in a non-existent DLL which triggers a TypeLoadException.");
      try 
      {
         TypeLoadExceptionDemoClass.GenerateException();
      }  
      catch (TypeLoadException e)
      {
         Console.WriteLine ("TypeLoadException: \n\tError Message = " + e.Message);
         Console.WriteLine ("TypeLoadException: \n\tInnerException Message = " + e.InnerException.Message );
      }  
      catch (Exception e)
      {
         Console.WriteLine ("Exception: \n\tError Message = " + e.Message);
      }
   }
}

class TypeLoadExceptionDemoClass
{ 
   // A call to this method will raise a TypeLoadException.
   [DllImport("NonExistentDLL.DLL", EntryPoint="MethodNotExists")]
   public static extern void NonExistentMethod();

   public static void GenerateException() 
   {
      try 
      {
         NonExistentMethod();
      }
      catch (TypeLoadException e) 
      {
         // Rethrow exception with the exception as inner exception
         throw new TypeLoadException("This exception was raised due to a call to an invalid method.", e);
      }
   }
}

Universal Windows Platform
Disponibile da 8
.NET Framework
Disponibile da 1.1
Libreria di classi portabile
Supportato in: piattaforme .NET portabili
Silverlight
Disponibile da 2.0
Windows Phone Silverlight
Disponibile da 7.0
Windows Phone
Disponibile da 8.1
Torna all'inizio
Mostra: